Subject: RE: IPP> MS XML Proposal

From: Paul Moore <[email-masked]>
Date: Fri, 13 Feb 1998 15:08:04 -0800

I left a few deliberate errors in there just to see if anybody did read it
:-)

> -----Original Message-----
> From:	Jay Martin [SMTP:[email-masked]]
> Sent:	Friday, February 13, 1998 2:20 PM
> To:	Paul Moore
> Cc:	[email-masked]'
> Subject:	Re: IPP> MS XML Proposal
> 
> Paul,
> 
> On page 7 there is an error in the 6.1 example on this line:
> 
>   <job-impressions>2</copies>
> 
> Ie, "job-impressions" should be "copies" (I think).
> 
> Overall, I've got to say I like the looks of your XML proposal.
> I'm not sure how to read the fact that no one has posted any
> comments, either to your proposal or Bob Herriot's similar work.
> 
> 	...jay
> 
> ----------------------------------------------------------------------
> --  JK Martin               |  Email:   [email-masked]          --
> --  Underscore, Inc.        |  Voice:   (603) 889-7000              --
> --  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
> --  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
> ----------------------------------------------------------------------

---

From: Jay Martin <[email-masked]>
Date: Fri, 13 Feb 1998 18:18:36 -0500

Paul,

You've specified that no DTD is required, but that an
implementation could use a DTD as it saw fit, etc.

How then is the "official" specification of the IPP
XML text supposed to be standardized?  I would have
thought that the use of a DTD would be good for this,
even though *use* of the DTD by a client or server is
not required for protocol interaction.

Note that I am assuming a DTD is itself a useful document,
not being very well versed in XML/DTD stuff. 

	...jay

---

From: Jay Martin <[email-masked]>
Date: Tue, 17 Feb 1998 17:02:20 -0500

Bob,

> I believe it is the DTD (plus extensions) that makes the XML approach
> superior to the binary encoding.  Without the DTD, XML is still slightly
> better than the binary encoding, but probably not enough better to win more
> converts.

Many of us believe that a special-purpose binary encoding (eg, IPP)
is *highly* undesirable under almost *any* circumstance.  Recall
that at the June '96 IPP meeting (Nashua), a majority of people were
dead-set against a binary encoding of *any* kind, much less a special-
purpose one designed for a single application (ie, IPP).

Since XML is essentially a text-based encoding, I'd bet we'd see
a lot more "converts" than you might think.

	...jay

PS: I've posted this reply (and your complete message) to the IPP
    list, as I suspected you forgot to cc: the IPP DL.  My apologies
    if this was not your intention.  ;-)

Robert Herriot wrote:
> 
> I believe it is the DTD (plus extensions) that makes the XML approach
> superior to the binary encoding.  Without the DTD, XML is still slightly
> better than the binary encoding, but probably not enough better to win more
> converts.  For the DTD to work, it really needs the Schema rules from the
> "XML Data" document plus a few enhancements that I will propose.  With such,
> I believe that it is possible to define something that addresses all (or
> nearly all) of what Section 15.3 in the model document does.  I hope to send
> out some examples in the next few days.  Note, I still don't think that
> printer vendors would implement a general parser with DTD embedded. Rather
> they would use the DTD to direct their hand coding of their parser and
> validator.
> 
> Bob Herriot
> 
> At 03:18 PM 2/13/98 , you wrote:
> >Paul,
> >
> >--  Hudson, NH 03051-4915   |  Web:
> <http://www.underscore.com/>http://www.underscore.com   --